# Interface methods for submodule: DTITubeSpatialObject
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import PointBasedSpatialObjectProxy as _PointBasedSpatialObjectProxy


# Interface methods for class: DTITubeSpatialObject
class DTITubeSpatialObjectProxy(_PointBasedSpatialObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def Clear(self) -> None:
		""""""
		...

	def SetEndRounded(self, _arg: bool) -> None:
		""""""
		...

	def GetEndRounded(self) -> bool:
		""""""
		...

	def EndRoundedOn(self) -> None:
		""""""
		...

	def EndRoundedOff(self) -> None:
		""""""
		...

	def ComputeTangentsAndNormals(self) -> bool:
		""""""
		...

	def RemoveDuplicatePointsInObjectSpace(self, minSpacingInObjectSpace: float = 0) -> int:
		""""""
		...

	def SetParentPoint(self, _arg: int) -> None:
		""""""
		...

	def GetParentPoint(self) -> int:
		""""""
		...

	def SetRoot(self, _arg: bool) -> None:
		""""""
		...

	def GetRoot(self) -> bool:
		""""""
		...

	def RootOn(self) -> None:
		""""""
		...

	def RootOff(self) -> None:
		""""""
		...

	def IsInsideInObjectSpace(self, point: Sequence[float]) -> bool:
		""""""
		...

	def CopyInformation(self, data) -> None:
		""""""
		...

